<template>
  <!-- <div class="common-layout"> -->
    <el-container>
      <el-header ><CommonHeader/></el-header>
      <el-main><router-view :key="router.path"/></el-main>
    </el-container>
  <!-- </div> -->

</template>
<script>
import { defineComponent, onUpdated } from 'vue';
import { reactive, ref } from 'vue';
import CommonHeader from "../components/CommonHeader.vue"
import CommonAside from "../components/CommonAside.vue"
// import $router from '../router';
import { useRoute} from "vue-router";
export default defineComponent({
  setup(){
    const uid =ref('');
    const router = useRoute();
    onUpdated(() => {
      console.log(router.path);
    })
    return{
      router,
      uid
    }
  },
  created(){
    // this.uid = this.$route.query.id || this.$route.params.uid
    // console.log(`接收到的参数为：${uid}`)
    // if(this.uid=''){
    //   $router.push('/login');
    // }
    if(localStorage.getItem("Userid")==''){
      $router.push('/login');
    }
  },
    components:{
      CommonHeader,
      CommonAside,
    }
})

</script>
<style scoped lang="less">
.el-header{
  padding: 0 0;
}
.el-container{
  flex-wrap: wrap;
}
.el-main{
  padding: 20px 0;
}
.common-layout{
  height: 100%;
  & >.el-container{
    height: 100%;
    &>.el-aside{
      height: 100%;
      background-color: #545c64;
    }
  }
}
</style>
